/*

 Les 4 VO Arduino Lessenserie Fontys Hogeschool ICT
   THEORIE: FOR LOOP / DELAY
   Na druk op knop knippert led 10 keer.
 
 Benodigde onderdelen:
 1 rode LED 
 drukknop
 10 kilohm weerstand
 220 ohm weerstand
 
*/

// Gebruik de variabele switchstate om de stand
// van de drukknop in op te slaan.
int switchstate = 0;

void setup(){
  // definieer de LED PIN als OUTPUT 
  pinMode(5,OUTPUT);

  // definieer de drukknop PIN als INPUT  
  pinMode(2,INPUT);
}

void loop()
{

  // vraag de waarde van de drukknop
  // digitalRead() checkt of er spanning 
  // op de pin staat  
  switchstate = digitalRead(2);

  // als de drukknop niet wordt ingedrukt
  // laat LED 10 x knipperen: 
  if (switchstate == LOW) {
    digitalWrite(5, LOW);  // zet de rode LED op pin 5 uit
  }
  // deze 'else" is onderdeel van het if() statement. 
  // als de drukknop is niet LOW (dus de drukknop is ingedrukt)
  // zet de groene LED uit en laat de rode LEDs om en om knipperen
  else {
    for (int i=0; i<10;i++) {
      // zet de LED op pin 5 aan
      digitalWrite(5, HIGH); 
      // wacht een kwart seconde
      delay(250);
      // zet de LED op pin 5 uit
      digitalWrite(5, LOW);  
      // wacht weer een kwart seconde
      delay(250);
    }
  }
}

